Bug 624334 - blockdev-setbsz succeeds, but does not affect blockdev-getbsz
Summary: blockdev-setbsz succeeds, but does not affect blockdev-getbsz
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 624335 1016465
TreeView+ depends on / blocked
 
Reported: 2010-08-16 02:56 UTC by Jinxin Zheng
Modified: 2013-10-08 09:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 624335 1016465 (view as bug list)
Environment:
Last Closed: 2013-10-08 09:05:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jinxin Zheng 2010-08-16 02:56:23 UTC
Version-Release number of selected component (if applicable):
1.5.2

How reproducible:
Always

Steps to Reproduce:
$ guestfish -a test.img
...
><fs> blockdev-getbsz /dev/sda
4096
><fs> blockdev-setbsz /dev/sda 2048
><fs> blockdev-getbsz /dev/sda
4096

Expected results:
blockdev-getbsz should return the latest block size we just set, or the blockdev-setbsz should return an error if the block size is not supported.

Comment 1 Richard W.M. Jones 2013-09-20 08:53:12 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1002825 sheds more
light on this issue.

Comment 2 Richard W.M. Jones 2013-10-08 09:05:11 UTC
Fixed upstream in:
4fc44a0157a1bcd4c618e0eb8afd7c553ed0f31d


Note You need to log in before you can comment on or make changes to this bug.